WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] While posting when it goes to autosave gives me database error (4 posts)

  1. plimper
    Member
    Posted 6 years ago #

    I am using for long time now the 2.2.1 version and i have not problems at all.
    While i am creating a new post when it goes to the autosave it give me this:

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHERE object_id = 6322 ORDER BY term_taxonomy_id' at line 1]
    SELECT term_taxonomy_id FROM WHERE object_id = 6322 ORDER BY term_taxonomy_id

    Does anyone know what it might be wrong?

    Regards
    plimper.

  2. theapparatus
    Member
    Posted 6 years ago #

    You have a plugin or something added in that's expecting wordpress to be version 2.3+. Taxonomy is part of the database from 2.3 onward.

    Have you made any changes recently?

  3. plimper
    Member
    Posted 6 years ago #

    The only change i did was upgraded my plugins 2 or 4 of them.
    Thanks for your reply on this issue theapparatus.
    So you mean that those plug ins were updated in order to work with the v2.3 that's why it don't work then?
    If i do save or publish it works great just only this issue only.
    Since i am using a lot of plugins what is your personal opinion it's better to upgrade my website to the v2.3.2 better?

    Kind Regards
    Panagiotis.

  4. plimper
    Member
    Posted 6 years ago #

    Hello again mates.
    The problem it's resolved.
    The problem was caused by a new plugin that i have upgraded that it was compatible with wordpress v2.3.2 and i was using v2.2.1.
    I have rollback to the previous one and everything is ok now.
    There are some things that you can do yourself.

    Thanks again for your help theapparatus.

Topic Closed

This topic has been closed to new replies.

About this Topic